AttachEventListerSE('click', '.consent_opt', function (e) {
  scriptJquery.post('gdpr/index/inset-audit', { type: 'opt', name: scriptJquery(this).closest('tr').children().eq(0).html() }, function (response) {
  })
})
scriptJquery(document).on('submit', '.gdpr_contactdpo', function (e) {
  e.preventDefault();
  var formObj = scriptJquery(this);
  formObj.find('button[type=submit]').html('<i class="fas fa-spinner fa-spin"></i>');
  var submitButtonLabel = formObj.find('button[type=submit]').html();
  formObj.find('button[type=submit]').attr("disabled",true);
  var type = scriptJquery('._active').find('a').attr('data-rel');
  scriptJquery(this).find('#type').val(type);
  var firstName = scriptJquery(this).find('#first_name').val();
  var lastName = scriptJquery(this).find('#last_name').val();
  var emailName = scriptJquery(this).find('#email').val();
  var message = scriptJquery(this).find('#message').val();
  var error = false;
  if (!firstName) {
    scriptJquery(this).find('#first_name').css('border', '1px solid red');
    error = 1;
  } else {
    scriptJquery(this).find('#first_name').css('border', '');
  }
  if (type == "dpo") {
    if (!message) {
      scriptJquery(this).find('#message').css('border', '1px solid red');
      error = 1;
    } else {
      scriptJquery(this).find('#message').css('border', '');
    }
  }
  if (!lastName) {
    scriptJquery(this).find('#last_name').css('border', '1px solid red');
    error = 1;
  } else {
    scriptJquery(this).find('#last_name').css('border', '');
  }
  if (!emailName) {
    scriptJquery(this).find('#email').css('border', '1px solid red');
    error = 1;
  } else if (!validEmailGdpr(emailName)) {
    scriptJquery(this).find('#email').css('border', '1px solid red');
    error = 1;
  } else {
    scriptJquery(this).find('#email').css('border', '');
  }

  if (error == true)
    return;
  var obj = scriptJquery(this);
  scriptJquery.post('gdpr/index/inset', { type: type, firstName: firstName, lastName: lastName, emailName: emailName, message: message }, function (response) {
    // var valid = scriptJquery.parseJSON(response);
    if (response.status == 1) {
      formObj.find('button[type=submit]').removeAttr("disabled");
      formObj.find('button[type=submit]').html(submitButtonLabel);
      scriptJquery(obj).parent().html(htmlSuccessMessage);
    } else {
      alert(en4.core.language.translate('Something went wrong, please try again later'));
    }
  });
});
function validEmailGdpr(email) {
  var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
  return regex.test(email);
}
function callBackConsent(type) {
  scriptJquery('#gdprconsents').find('li').find('a[data-rel=' + type + ']').trigger('click');
}
AttachEventListerSE('click', '#gdprconsents > li > a', function () {
  if (scriptJquery(this).parent().hasClass('_active'))
    return;
  var index = scriptJquery(this).parent().index();
  scriptJquery('._active').removeClass('_active');
  scriptJquery(this).parent().addClass('_active');
  scriptJquery('#gdpaconsent_div').find('._form').hide();
  scriptJquery('#gdpaconsent_div').find('._form').eq(index).show();
});
